<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.wisdom.alarm.sharding.mapper.ScadabjMapper">

    <select id="pageQueryAll" parameterType="java.util.Map" resultType="com.gyee.wisdom.alarm.sharding.entity.Scadabj">
        select * from  SCADABJ a
        <where>
            1=1
            <if test="pointKey !=null and pointKey !=''">
                and a.pointKey like '%${pointKey}%'
            </if>
            <if test="stationId !=null and stationId !=''">
                and a.stationId=#{stationId}
            </if>
            <if test="enable !=null and enable !=''">
                and a.enabled=#{enable}
            </if>
            <if test="description !=null and description !=''">
                and a.description like  '%${description}%'
            </if>
        </where>
    </select>

    <select id="getAll" parameterType="java.util.Map" resultType="com.gyee.wisdom.alarm.sharding.entity.Scadabj">
        select * from  SCADABJ a

    </select>

</mapper>
